Bug 208088 - Laptop with ATI Mobility Radeon X700 shows no display
Laptop with ATI Mobility Radeon X700 shows no display
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 08:48 EDT by Duncan Innes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 6.6.2-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 14:10:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XOrg config file (754 bytes, application/octet-stream)
2006-10-03 09:23 EDT, Duncan Innes
no flags Details
XOrg log after boot to blank laptop screen (71.33 KB, text/plain)
2006-10-03 09:24 EDT, Duncan Innes
no flags Details

  None (edit)
Description Duncan Innes 2006-09-26 08:48:09 EDT
Description of problem:  When installed from scratch, an Acer Aspire 5020 laptop
with an ATI Mobility Radeon X700 PCI-Express graphics card shows no output to
the laptop screen.

Don't know if this is reported against the right XOrg component - sorry.


Version-Release number of selected component (if applicable): Not sure which
component to report the version of.


How reproducible: Every install


Steps to Reproduce:
1. Install from scratch
2. Boot up laptop
3.
  
Actual results: Blank screen


Expected results: X should work on LCD screen

Additional info: Have found that the display is actually going to the external
montior for the laptop.  Using this, I am able to change the detected driver
(radeon) to the fglrx (vendor supplied driver for fglrx cards) driver and the
laptop LCD will begin working.

The bug was happening with an x86_64 install as well as with an i386 install. 
Yum updates were done on both installs, but issue was happening before and after
the yum updates.
Comment 1 Adam Jackson 2006-09-29 17:31:20 EDT
Please attach /var/log/Xorg.0.log from a blank-screen startup.

also, rpm -q xorg-x11-drv-ati.
Comment 2 Duncan Innes 2006-10-03 09:23:52 EDT
Created attachment 137643 [details]
XOrg config file
Comment 3 Duncan Innes 2006-10-03 09:24:54 EDT
Created attachment 137644 [details]
XOrg log after boot to blank laptop screen

The screen will render properly on an externally attached screen.
Comment 4 Duncan Innes 2006-10-03 09:26:20 EDT
These 3 bug updates are done from a fresh install of FC6T3

xorg-x11-drv-ati-6.6.2-1.fc6

The laptop user is reporting that the latest yum update has resolved the
problem.  I will verify if this is the case and update the bug as appropriate.

Duncan
Comment 5 Adam Jackson 2006-10-03 12:14:30 EDT
Yeah, I expect this was fixed in 6.6.2-4.  If you can verify that I'd appreciate it.
Comment 6 Duncan Innes 2006-10-04 14:10:14 EDT
Confirmed.

User has done fresh install to have blank screen.

yum update provided new xorg-x11-drv-ati package

Screen now works a treat.

Thanks

Duncan

P.S.  Hope I resolve this bug properly - I don't normally close my own bugs.

Note You need to log in before you can comment on or make changes to this bug.